API referenceContacts

Erase a contact (GDPR)

DELETE
/v2/contacts/{id}

IRREVERSIBLE: erases the contact’s personal data, identities and message contents. Needs a key whose member may erase contacts (Owner or Admin). ?reason= is recorded in the audit log.

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The contact id.

Formatuuid

Query Parameters

reason?string

Why (kept in the audit log).

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Response Body

What was erased.

application/json
  1. response
id*string
Formatuuid
erased*true
Value intrue
erasedAt*string
identitiesDeleted*integer
messagesRedacted*integer
Example Request
curl -X DELETE 'https://app.gauge.chat/api/v2/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "erased": true,  "erasedAt": "string",  "identitiesDeleted": 0,  "messagesRedacted": 0}